Subject: Re: bug#25679: 26.0.50; Emacs hangs for nested generics

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 05 Feb 2021 14:20:46 +0100

Philipp Stephani <[email-masked]> writes:

> Create a file /tmp/Foo.java with the following content:
>
> class Foo {
>     void func(A<B<C>>> a, A<B<C>>> b, A<B<C>>> c, A<B<C>>> d, A<B<C>>> e, A<B<C>>> f, A<B<C>>> g, A<B<C>>> h, A<B<C>>> i, A<B<C>>> j, A<B<C>>> k) {}
> }
>
> Then open that file:
>
> emacs -Q /tmp/Foo.java
>
> Emacs hangs.  C-g also doesn't work.

I can reproduce this in Emacs 26.1, but not in Emacs 28, so I'm going to
guess that this has been fixed now, and I'm closing this bug report.  If
this problem is still present, please respond to the debbugs address and
we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no